### Method

# Soup Session set_timeout

#### Declaration [src]

    void
    soup_session_set_timeout (
      SoupSession* session,
      guint timeout
    )

#### Description [src]

Set a timeout in seconds for socket I/O operations to be used by `session` on new connections.

See `SoupSession:timeout` for more information.

Sets property | `Soup.Session:timeout`

#### Parameters

`timeout`

  Type: `guint`

  A timeout in seconds.